import discord
from datetime import datetime

emotes = { 
	":grinning:" : "😀", 
	":smiley:" : "😃", 
	":smile:" : "😄", 
	":grin:" : "😁", 
	":laughing:" : "😆", 
	":sweat_smile:" : "😅", 
	":rofl:" : "🤣", 
	":joy:" : "😂", 
	":slight_smile:" : "🙂", 
	":upside_down:" : "🙃", 
	":wink:" : "😉", 
	":blush:" : "😊", 
	":innocent:" : "😇", 
	":smiling_face_with_3_hearts:" : "🥰", 
	":heart_eyes:" : "😍", 
	":star_struck:" : "🤩", 
	":kissing_heart:" : "😘", 
	":kissing:" : "😗", 
	":relaxed:" : "☺️", 
	":kissing_closed_eyes:" : "😚", 
	":kissing_smiling_eyes:" : "😙", 
	"🥲" : "🥲", 
	":yum:" : "😋", 
	":stuck_out_tongue:" : "😛", 
	":stuck_out_tongue_winking_eye:" : "😜", 
	":zany_face:" : "🤪", 
	":stuck_out_tongue_closed_eyes:" : "😝", 
	":money_mouth:" : "🤑", 
	":hugging:" : "🤗", 
	":face_with_hand_over_mouth:" : "🤭", 
	":shushing_face:" : "🤫", 
	":thinking:" : "🤔", 
	":zipper_mouth:" : "🤐", 
	":face_with_raised_eyebrow:" : "🤨", 
	"😐️" : "😐️", 
	":expressionless:" : "😑", 
	":no_mouth:" : "😶", 
	":smirk:" : "😏", 
	":unamused:" : "😒", 
	":rolling_eyes:" : "🙄", 
	":grimacing:" : "😬", 
	":lying_face:" : "🤥", 
	":relieved:" : "😌", 
	":pensive:" : "😔", 
	":sleepy:" : "😪", 
	":drooling_face:" : "🤤", 
	":sleeping:" : "😴", 
	":mask:" : "😷", 
	":thermometer_face:" : "🤒", 
	":head_bandage:" : "🤕", 
	":nauseated_face:" : "🤢", 
	":face_vomiting:" : "🤮", 
	":sneezing_face:" : "🤧", 
	":hot_face:" : "🥵", 
	":cold_face:" : "🥶", 
	":woozy_face:" : "🥴", 
	":dizzy_face:" : "😵", 
	":exploding_head:" : "🤯", 
	":cowboy:" : "🤠", 
	":partying_face:" : "🥳", 
	"🥸" : "🥸", 
	":sunglasses:" : "😎", 
	":nerd:" : "🤓", 
	":face_with_monocle:" : "🧐", 
	":confused:" : "😕", 
	":worried:" : "😟", 
	":slight_frown:" : "🙁", 
	":frowning2:" : "☹️", 
	":open_mouth:" : "😮", 
	":hushed:" : "😯", 
	":astonished:" : "😲", 
	":flushed:" : "😳", 
	":pleading_face:" : "🥺", 
	":frowning:" : "😦", 
	":anguished:" : "😧", 
	":fearful:" : "😨", 
	":cold_sweat:" : "😰", 
	":disappointed_relieved:" : "😥", 
	":cry:" : "😢", 
	":sob:" : "😭", 
	":scream:" : "😱", 
	":confounded:" : "😖", 
	":persevere:" : "😣", 
	":disappointed:" : "😞", 
	":sweat:" : "😓", 
	":weary:" : "😩", 
	":tired_face:" : "😫", 
	":yawning_face:" : "🥱", 
	":triumph:" : "😤", 
	":rage:" : "😡", 
	":angry:" : "😠", 
	":face_with_symbols_over_mouth:" : "🤬", 
	":smiling_imp:" : "😈", 
	":imp:" : "👿", 
	":skull:" : "💀", 
	":skull_crossbones:" : "☠️", 
	":poop:" : "💩", 
	":clown:" : "🤡", 
	":japanese_ogre:" : "👹", 
	":japanese_goblin:" : "👺", 
	":ghost:" : "👻", 
	"👽️" : "👽️", 
	":space_invader:" : "👾", 
	":robot:" : "🤖", 
	":smiley_cat:" : "😺", 
	":smile_cat:" : "😸", 
	":joy_cat:" : "😹", 
	":heart_eyes_cat:" : "😻", 
	":smirk_cat:" : "😼", 
	":kissing_cat:" : "😽", 
	":scream_cat:" : "🙀", 
	":crying_cat_face:" : "😿", 
	":pouting_cat:" : "😾", 
	":see_no_evil:" : "🙈", 
	":hear_no_evil:" : "🙉", 
	":speak_no_evil:" : "🙊", 
	":wave:" : "👋", 
	":raised_back_of_hand:" : "🤚", 
	":hand_splayed:" : "🖐️", 
	":raised_hand:" : "✋", 
	":vulcan:" : "🖖", 
	":ok_hand:" : "👌", 
	"🤌" : "🤌", 
	":pinching_hand:" : "🤏", 
	":v:" : "✌️", 
	":fingers_crossed:" : "🤞", 
	":love_you_gesture:" : "🤟", 
	":metal:" : "🤘", 
	":call_me:" : "🤙", 
	"👈️" : "👈️", 
	"👉️" : "👉️", 
	"👆️" : "👆️", 
	":middle_finger:" : "🖕", 
	"👇️" : "👇️", 
	":point_up:" : "☝️", 
	"👍️" : "👍️", 
	"👎️" : "👎️", 
	":fist:" : "✊", 
	":punch:" : "👊", 
	":left_facing_fist:" : "🤛", 
	":right_facing_fist:" : "🤜", 
	":clap:" : "👏", 
	":raised_hands:" : "🙌", 
	":open_hands:" : "👐", 
	":palms_up_together:" : "🤲", 
	":handshake:" : "🤝", 
	":pray:" : "🙏", 
	":writing_hand:" : "✍️", 
	":nail_care:" : "💅", 
	":selfie:" : "🤳", 
	":muscle:" : "💪", 
	":mechanical_arm:" : "🦾", 
	":mechanical_leg:" : "🦿", 
	":leg:" : "🦵", 
	":foot:" : "🦶", 
	"👂️" : "👂️", 
	":ear_with_hearing_aid:" : "🦻", 
	":nose:" : "👃", 
	":brain:" : "🧠", 
	"🫀" : "🫀", 
	"🫁" : "🫁", 
	":tooth:" : "🦷", 
	":bone:" : "🦴", 
	":eyes:" : "👀", 
	":eye:" : "👁️", 
	":tongue:" : "👅", 
	":lips:" : "👄", 
	":kiss:" : "💋", 
	":baby:" : "👶", 
	":child:" : "🧒", 
	":boy:" : "👦", 
	":girl:" : "👧", 
	":adult:" : "🧑", 
	":man:" : "👨", 
	":woman:" : "👩", 
	":bearded_person:" : "🧔", 
	"🧑‍🦰" : "🧑‍🦰", 
	":man_red_haired:" : "👨‍🦰", 
	":woman_red_haired:" : "👩‍🦰", 
	"🧑‍🦱" : "🧑‍🦱", 
	":man_curly_haired:" : "👨‍🦱", 
	":woman_curly_haired:" : "👩‍🦱", 
	"🧑‍🦳" : "🧑‍🦳", 
	":man_white_haired:" : "👨‍🦳", 
	":woman_white_haired:" : "👩‍🦳", 
	"🧑‍🦲" : "🧑‍🦲", 
	":man_bald:" : "👨‍🦲", 
	":woman_bald:" : "👩‍🦲", 
	":blond_haired_person:" : "👱", 
	":blond_haired_man:" : "👱‍♂️", 
	":blond_haired_woman:" : "👱‍♀️", 
	":older_adult:" : "🧓", 
	":older_man:" : "👴", 
	":older_woman:" : "👵", 
	":person_frowning:" : "🙍", 
	":man_frowning:" : "🙍‍♂️", 
	":woman_frowning:" : "🙍‍♀️", 
	":person_pouting:" : "🙎", 
	":man_pouting:" : "🙎‍♂️", 
	":woman_pouting:" : "🙎‍♀️", 
	":person_gesturing_no:" : "🙅", 
	":man_gesturing_no:" : "🙅‍♂️", 
	":woman_gesturing_no:" : "🙅‍♀️", 
	":person_gesturing_ok:" : "🙆", 
	":man_gesturing_ok:" : "🙆‍♂️", 
	":woman_gesturing_ok:" : "🙆‍♀️", 
	":person_tipping_hand:" : "💁", 
	":man_tipping_hand:" : "💁‍♂️", 
	":woman_tipping_hand:" : "💁‍♀️", 
	":person_raising_hand:" : "🙋", 
	":man_raising_hand:" : "🙋‍♂️", 
	":woman_raising_hand:" : "🙋‍♀️", 
	":deaf_person:" : "🧏", 
	":deaf_man:" : "🧏‍♂️", 
	":deaf_woman:" : "🧏‍♀️", 
	":person_bowing:" : "🙇", 
	":man_bowing:" : "🙇‍♂️", 
	":woman_bowing:" : "🙇‍♀️", 
	":person_facepalming:" : "🤦", 
	":man_facepalming:" : "🤦‍♂️", 
	":woman_facepalming:" : "🤦‍♀️", 
	":person_shrugging:" : "🤷", 
	":man_shrugging:" : "🤷‍♂️", 
	":woman_shrugging:" : "🤷‍♀️", 
	"🧑‍⚕️" : "🧑‍⚕️", 
	":man_health_worker:" : "👨‍⚕️", 
	":woman_health_worker:" : "👩‍⚕️", 
	"🧑‍🎓" : "🧑‍🎓", 
	":man_student:" : "👨‍🎓", 
	":woman_student:" : "👩‍🎓", 
	"🧑‍🏫" : "🧑‍🏫", 
	":man_teacher:" : "👨‍🏫", 
	":woman_teacher:" : "👩‍🏫", 
	"🧑‍⚖️" : "🧑‍⚖️", 
	":man_judge:" : "👨‍⚖️", 
	":woman_judge:" : "👩‍⚖️", 
	"🧑‍🌾" : "🧑‍🌾", 
	":man_farmer:" : "👨‍🌾", 
	":woman_farmer:" : "👩‍🌾", 
	"🧑‍🍳" : "🧑‍🍳", 
	":man_cook:" : "👨‍🍳", 
	":woman_cook:" : "👩‍🍳", 
	"🧑‍🔧" : "🧑‍🔧", 
	":man_mechanic:" : "👨‍🔧", 
	":woman_mechanic:" : "👩‍🔧", 
	"🧑‍🏭" : "🧑‍🏭", 
	":man_factory_worker:" : "👨‍🏭", 
	":woman_factory_worker:" : "👩‍🏭", 
	"🧑‍💼" : "🧑‍💼", 
	":man_office_worker:" : "👨‍💼", 
	":woman_office_worker:" : "👩‍💼", 
	"🧑‍🔬" : "🧑‍🔬", 
	":man_scientist:" : "👨‍🔬", 
	":woman_scientist:" : "👩‍🔬", 
	"🧑‍💻" : "🧑‍💻", 
	":man_technologist:" : "👨‍💻", 
	":woman_technologist:" : "👩‍💻", 
	"🧑‍🎤" : "🧑‍🎤", 
	":man_singer:" : "👨‍🎤", 
	":woman_singer:" : "👩‍🎤", 
	"🧑‍🎨" : "🧑‍🎨", 
	":man_artist:" : "👨‍🎨", 
	":woman_artist:" : "👩‍🎨", 
	"🧑‍✈️" : "🧑‍✈️", 
	":man_pilot:" : "👨‍✈️", 
	":woman_pilot:" : "👩‍✈️", 
	"🧑‍🚀" : "🧑‍🚀", 
	":man_astronaut:" : "👨‍🚀", 
	":woman_astronaut:" : "👩‍🚀", 
	"🧑‍🚒" : "🧑‍🚒", 
	":man_firefighter:" : "👨‍🚒", 
	":woman_firefighter:" : "👩‍🚒", 
	":police_officer:" : "👮", 
	":man_police_officer:" : "👮‍♂️", 
	":woman_police_officer:" : "👮‍♀️", 
	":detective:" : "🕵️", 
	":man_detective:" : "🕵️‍♂️", 
	":woman_detective:" : "🕵️‍♀️", 
	":guard:" : "💂", 
	":man_guard:" : "💂‍♂️", 
	":woman_guard:" : "💂‍♀️", 
	"🥷" : "🥷", 
	":construction_worker:" : "👷", 
	":man_construction_worker:" : "👷‍♂️", 
	":woman_construction_worker:" : "👷‍♀️", 
	":prince:" : "🤴", 
	":princess:" : "👸", 
	":person_wearing_turban:" : "👳", 
	":man_wearing_turban:" : "👳‍♂️", 
	":woman_wearing_turban:" : "👳‍♀️", 
	":man_with_chinese_cap:" : "👲", 
	":woman_with_headscarf:" : "🧕", 
	":man_in_tuxedo:" : "🤵", 
	"🤵‍♂️" : "🤵‍♂️", 
	"🤵‍♀️" : "🤵‍♀️", 
	":bride_with_veil:" : "👰", 
	"👰‍♂️" : "👰‍♂️", 
	"👰‍♀️" : "👰‍♀️", 
	":pregnant_woman:" : "🤰", 
	":breast_feeding:" : "🤱", 
	"👩‍🍼" : "👩‍🍼", 
	"👨‍🍼" : "👨‍🍼", 
	"🧑‍🍼" : "🧑‍🍼", 
	":angel:" : "👼", 
	":santa:" : "🎅", 
	":mrs_claus:" : "🤶", 
	"🧑‍🎄" : "🧑‍🎄", 
	":superhero:" : "🦸", 
	":man_superhero:" : "🦸‍♂️", 
	":woman_superhero:" : "🦸‍♀️", 
	":supervillain:" : "🦹", 
	":man_supervillain:" : "🦹‍♂️", 
	":woman_supervillain:" : "🦹‍♀️", 
	":mage:" : "🧙", 
	":man_mage:" : "🧙‍♂️", 
	":woman_mage:" : "🧙‍♀️", 
	":fairy:" : "🧚", 
	":man_fairy:" : "🧚‍♂️", 
	":woman_fairy:" : "🧚‍♀️", 
	":vampire:" : "🧛", 
	":man_vampire:" : "🧛‍♂️", 
	":woman_vampire:" : "🧛‍♀️", 
	":merperson:" : "🧜", 
	":merman:" : "🧜‍♂️", 
	":mermaid:" : "🧜‍♀️", 
	":elf:" : "🧝", 
	":man_elf:" : "🧝‍♂️", 
	":woman_elf:" : "🧝‍♀️", 
	":genie:" : "🧞", 
	":man_genie:" : "🧞‍♂️", 
	":woman_genie:" : "🧞‍♀️", 
	":zombie:" : "🧟", 
	":man_zombie:" : "🧟‍♂️", 
	":woman_zombie:" : "🧟‍♀️", 
	":person_getting_massage:" : "💆", 
	":man_getting_face_massage:" : "💆‍♂️", 
	":woman_getting_face_massage:" : "💆‍♀️", 
	":person_getting_haircut:" : "💇", 
	":man_getting_haircut:" : "💇‍♂️", 
	":woman_getting_haircut:" : "💇‍♀️", 
	":person_walking:" : "🚶", 
	":man_walking:" : "🚶‍♂️", 
	":woman_walking:" : "🚶‍♀️", 
	":person_standing:" : "🧍", 
	":man_standing:" : "🧍‍♂️", 
	":woman_standing:" : "🧍‍♀️", 
	":person_kneeling:" : "🧎", 
	":man_kneeling:" : "🧎‍♂️", 
	":woman_kneeling:" : "🧎‍♀️", 
	"🧑‍🦯" : "🧑‍🦯", 
	":man_with_probing_cane:" : "👨‍🦯", 
	":woman_with_probing_cane:" : "👩‍🦯", 
	"🧑‍🦼" : "🧑‍🦼", 
	":man_in_motorized_wheelchair:" : "👨‍🦼", 
	":woman_in_motorized_wheelchair:" : "👩‍🦼", 
	"🧑‍🦽" : "🧑‍🦽", 
	":man_in_manual_wheelchair:" : "👨‍🦽", 
	":woman_in_manual_wheelchair:" : "👩‍🦽", 
	":person_running:" : "🏃", 
	":man_running:" : "🏃‍♂️", 
	":woman_running:" : "🏃‍♀️", 
	":dancer:" : "💃", 
	":man_dancing:" : "🕺", 
	":levitate:" : "🕴️", 
	":people_with_bunny_ears_partying:" : "👯", 
	":men_with_bunny_ears_partying:" : "👯‍♂️", 
	":women_with_bunny_ears_partying:" : "👯‍♀️", 
	":person_in_steamy_room:" : "🧖", 
	":man_in_steamy_room:" : "🧖‍♂️", 
	":woman_in_steamy_room:" : "🧖‍♀️", 
	":person_climbing:" : "🧗", 
	":man_climbing:" : "🧗‍♂️", 
	":woman_climbing:" : "🧗‍♀️", 
	":person_fencing:" : "🤺", 
	":horse_racing:" : "🏇", 
	":skier:" : "⛷️", 
	"🏂️" : "🏂️", 
	":person_golfing:" : "🏌️", 
	":man_golfing:" : "🏌️‍♂️", 
	":woman_golfing:" : "🏌️‍♀️", 
	"🏄️" : "🏄️", 
	":man_surfing:" : "🏄‍♂️", 
	":woman_surfing:" : "🏄‍♀️", 
	":person_rowing_boat:" : "🚣", 
	":man_rowing_boat:" : "🚣‍♂️", 
	":woman_rowing_boat:" : "🚣‍♀️", 
	"🏊️" : "🏊️", 
	":man_swimming:" : "🏊‍♂️", 
	":woman_swimming:" : "🏊‍♀️", 
	":person_bouncing_ball:" : "⛹️", 
	":man_bouncing_ball:" : "⛹️‍♂️", 
	":woman_bouncing_ball:" : "⛹️‍♀️", 
	":person_lifting_weights:" : "🏋️", 
	":man_lifting_weights:" : "🏋️‍♂️", 
	":woman_lifting_weights:" : "🏋️‍♀️", 
	":person_biking:" : "🚴", 
	":man_biking:" : "🚴‍♂️", 
	":woman_biking:" : "🚴‍♀️", 
	":person_mountain_biking:" : "🚵", 
	":man_mountain_biking:" : "🚵‍♂️", 
	":woman_mountain_biking:" : "🚵‍♀️", 
	":person_doing_cartwheel:" : "🤸", 
	":man_cartwheeling:" : "🤸‍♂️", 
	":woman_cartwheeling:" : "🤸‍♀️", 
	":people_wrestling:" : "🤼", 
	":men_wrestling:" : "🤼‍♂️", 
	":women_wrestling:" : "🤼‍♀️", 
	":person_playing_water_polo:" : "🤽", 
	":man_playing_water_polo:" : "🤽‍♂️", 
	":woman_playing_water_polo:" : "🤽‍♀️", 
	":person_playing_handball:" : "🤾", 
	":man_playing_handball:" : "🤾‍♂️", 
	":woman_playing_handball:" : "🤾‍♀️", 
	":person_juggling:" : "🤹", 
	":man_juggling:" : "🤹‍♂️", 
	":woman_juggling:" : "🤹‍♀️", 
	":person_in_lotus_position:" : "🧘", 
	":man_in_lotus_position:" : "🧘‍♂️", 
	":woman_in_lotus_position:" : "🧘‍♀️", 
	":bath:" : "🛀", 
	":sleeping_accommodation:" : "🛌", 
	":people_holding_hands:" : "🧑‍🤝‍🧑", 
	":two_women_holding_hands:" : "👭", 
	":couple:" : "👫", 
	":two_men_holding_hands:" : "👬", 
	":couplekiss:" : "💏", 
	":kiss_woman_man:" : "👩‍❤️‍💋‍👨", 
	":kiss_mm:" : "👨‍❤️‍💋‍👨", 
	":kiss_ww:" : "👩‍❤️‍💋‍👩", 
	":couple_with_heart:" : "💑", 
	":couple_with_heart_woman_man:" : "👩‍❤️‍👨", 
	":couple_mm:" : "👨‍❤️‍👨", 
	":couple_ww:" : "👩‍❤️‍👩", 
	"👪️" : "👪️", 
	":family_man_woman_boy:" : "👨‍👩‍👦", 
	":family_mwg:" : "👨‍👩‍👧", 
	":family_mwgb:" : "👨‍👩‍👧‍👦", 
	":family_mwbb:" : "👨‍👩‍👦‍👦", 
	":family_mwgg:" : "👨‍👩‍👧‍👧", 
	":family_mmb:" : "👨‍👨‍👧", 
	":family_mmg:" : "👨‍👨‍👧‍👦", 
	":family_mmgb:" : "‍👦", 
	":family_mmbb:" : "👨‍👨‍👧‍👧", 
	":family_mmgg:" : "👩‍👩‍👦", 
	":family_wwb:" : "👩‍👩‍👧", 
	":family_wwg:" : "👩‍👩‍👧‍👦", 
	":family_wwgb:" : "👩‍👩‍👦‍👦", 
	":family_wwbb:" : "👩‍👩‍👧‍👧", 
	":family_wwgg:" : "👨‍👦", 
	":family_man_boy:" : "👨‍👦‍👦", 
	":family_man_boy_boy:" : "👨‍👧", 
	":family_man_girl:" : "👨‍👧‍👦", 
	":family_man_girl_boy:" : "👨‍👧‍👧", 
	":family_man_girl_girl:" : "👩‍👦", 
	":family_woman_boy:" : "👩‍👦‍👦", 
	":family_woman_boy_boy:" : "👩‍👧", 
	":family_woman_girl:" : "👩‍👧‍👦", 
	":family_woman_girl_boy:" : "👩‍👧‍👦", 
	":family_woman_girl_girl:" : "👩‍👧‍👧", 
	":speaking_head:" : "🗣️", 
	":bust_in_silhouette:" : "👤", 
	":busts_in_silhouette:" : "👥", 
	"🫂" : "🫂", 
	":footprints:" : "👣", 
	":monkey_face:" : "🐵", 
	":monkey:" : "🐒", 
	":gorilla:" : "🦍", 
	":orangutan:" : "🦧", 
	":dog:" : "🐶", 
	"🐕️" : "🐕️", 
	":guide_dog:" : "🦮", 
	":service_dog:" : "🐕‍🦺", 
	":poodle:" : "🐩", 
	":wolf:" : "🐺", 
	":fox:" : "🦊", 
	":raccoon:" : "🦝", 
	":cat:" : "🐱", 
	"🐈️" : "🐈️", 
	"🐈‍⬛" : "🐈‍⬛", 
	":lion_face:" : "🦁", 
	":tiger:" : "🐯", 
	":tiger2:" : "🐅", 
	":leopard:" : "🐆", 
	":horse:" : "🐴", 
	":racehorse:" : "🐎", 
	":unicorn:" : "🦄", 
	":zebra:" : "🦓", 
	":deer:" : "🦌", 
	"🦬" : "🦬", 
	":cow:" : "🐮", 
	":ox:" : "🐂", 
	":water_buffalo:" : "🐃", 
	":cow2:" : "🐄", 
	":pig:" : "🐷", 
	":pig2:" : "🐖", 
	":boar:" : "🐗", 
	":pig_nose:" : "🐽", 
	":ram:" : "🐏", 
	":sheep:" : "🐑", 
	":goat:" : "🐐", 
	":dromedary_camel:" : "🐪", 
	":camel:" : "🐫", 
	":llama:" : "🦙", 
	":giraffe:" : "🦒", 
	":elephant:" : "🐘", 
	"🦣" : "🦣", 
	":rhino:" : "🦏", 
	":hippopotamus:" : "🦛", 
	":mouse:" : "🐭", 
	":mouse2:" : "🐁", 
	":rat:" : "🐀", 
	":hamster:" : "🐹", 
	":rabbit:" : "🐰", 
	":rabbit2:" : "🐇", 
	":chipmunk:" : "🐿️", 
	"🦫" : "🦫", 
	":hedgehog:" : "🦔", 
	":bat:" : "🦇", 
	":bear:" : "🐻", 
	"🐻‍❄️" : "🐻‍❄️", 
	":koala:" : "🐨", 
	":panda_face:" : "🐼", 
	":sloth:" : "🦥", 
	":otter:" : "🦦", 
	":skunk:" : "🦨", 
	":kangaroo:" : "🦘", 
	":badger:" : "🦡", 
	":feet:" : "🐾", 
	":turkey:" : "🦃", 
	":chicken:" : "🐔", 
	":rooster:" : "🐓", 
	":hatching_chick:" : "🐣", 
	":baby_chick:" : "🐤", 
	":hatched_chick:" : "🐥", 
	"🐦️" : "🐦️", 
	":penguin:" : "🐧", 
	":dove:" : "🕊️", 
	":eagle:" : "🦅", 
	":duck:" : "🦆", 
	":swan:" : "🦢", 
	":owl:" : "🦉", 
	"🦤" : "🦤", 
	"🪶" : "🪶", 
	":flamingo:" : "🦩", 
	":peacock:" : "🦚", 
	":parrot:" : "🦜", 
	":frog:" : "🐸", 
	":crocodile:" : "🐊", 
	":turtle:" : "🐢", 
	":lizard:" : "🦎", 
	":snake:" : "🐍", 
	":dragon_face:" : "🐲", 
	":dragon:" : "🐉", 
	":sauropod:" : "🦕", 
	":t_rex:" : "🦖", 
	":whale:" : "🐳", 
	":whale2:" : "🐋", 
	":dolphin:" : "🐬", 
	"🦭" : "🦭", 
	"🐟️" : "🐟️", 
	":tropical_fish:" : "🐠", 
	":blowfish:" : "🐡", 
	":shark:" : "🦈", 
	":octopus:" : "🐙", 
	":squid:" : "🦑", 
	":crab:" : "🦀", 
	":lobster:" : "🦞", 
	":shrimp:" : "🦐", 
	":oyster:" : "🦪", 
	":shell:" : "🐚", 
	":snail:" : "🐌", 
	":butterfly:" : "🦋", 
	":bug:" : "🐛", 
	":ant:" : "🐜", 
	":bee:" : "🐝", 
	"🪲" : "🪲", 
	":beetle:" : "🐞", 
	":cricket:" : "🦗", 
	"🪳" : "🪳", 
	":spider:" : "🕷️", 
	":spider_web:" : "🕸️", 
	":scorpion:" : "🦂", 
	":mosquito:" : "🦟", 
	"🪰" : "🪰", 
	"🪱" : "🪱", 
	":microbe:" : "🦠", 
	":bouquet:" : "💐", 
	":cherry_blossom:" : "🌸", 
	":white_flower:" : "💮", 
	":rosette:" : "🏵️", 
	":rose:" : "🌹", 
	":wilted_rose:" : "🥀", 
	":hibiscus:" : "🌺", 
	":sunflower:" : "🌻", 
	":blossom:" : "🌼", 
	":tulip:" : "🌷", 
	":seedling:" : "🌱", 
	"🪴" : "🪴", 
	":evergreen_tree:" : "🌲", 
	":deciduous_tree:" : "🌳", 
	":palm_tree:" : "🌴", 
	":cactus:" : "🌵", 
	":tanabata_tree:" : "🎋", 
	":bamboo:" : "🎍", 
	":ear_of_rice:" : "🌾", 
	":herb:" : "🌿", 
	":shamrock:" : "☘️", 
	":four_leaf_clover:" : "🍀", 
	":maple_leaf:" : "🍁", 
	":fallen_leaf:" : "🍂", 
	":leaves:" : "🍃", 
	"🌍️" : "🌍️", 
	"🌎️" : "🌎️", 
	"🌏️" : "🌏️", 
	":new_moon:" : "🌑", 
	":waxing_crescent_moon:" : "🌒", 
	":first_quarter_moon:" : "🌓", 
	":waxing_gibbous_moon:" : "🌔", 
	"🌕️" : "🌕️", 
	":waning_gibbous_moon:" : "🌖", 
	":last_quarter_moon:" : "🌗", 
	":waning_crescent_moon:" : "🌘", 
	":crescent_moon:" : "🌙", 
	":new_moon_with_face:" : "🌚", 
	":first_quarter_moon_with_face:" : "🌛", 
	"🌜️" : "🌜️", 
	":sunny:" : "☀️", 
	":full_moon_with_face:" : "🌝", 
	":sun_with_face:" : "🌞", 
	":ringed_planet:" : "🪐", 
	":dizzy:" : "💫", 
	"⭐️" : "⭐️", 
	":star2:" : "🌟", 
	":sparkles:" : "✨", 
	":stars:" : "🌠", 
	":milky_way:" : "🌌", 
	":cloud:" : "☁️", 
	"⛅️" : "⛅️", 
	":thunder_cloud_rain:" : "⛈️", 
	":white_sun_small_cloud:" : "🌤️", 
	":white_sun_cloud:" : "🌥️", 
	":white_sun_rain_cloud:" : "🌦️", 
	":cloud_rain:" : "🌧️", 
	":cloud_snow:" : "🌨️", 
	":cloud_lightning:" : "🌩️", 
	":cloud_tornado:" : "🌪️", 
	":fog:" : "🌫️", 
	":wind_blowing_face:" : "🌬️", 
	":cyclone:" : "🌀", 
	":rainbow:" : "🌈", 
	":closed_umbrella:" : "🌂", 
	":umbrella2:" : "☂️", 
	"☔️" : "☔️", 
	":beach_umbrella:" : "⛱️", 
	"⚡️" : "⚡️", 
	":snowflake:" : "❄️", 
	":snowman2:" : "☃️", 
	"⛄️" : "⛄️", 
	":comet:" : "☄️", 
	":fire:" : "🔥", 
	":droplet:" : "💧", 
	":ocean:" : "🌊", 
	":boom:" : "💥", 
	":sweat_drops:" : "💦", 
	":dash:" : "💨", 
	":grapes:" : "🍇", 
	":melon:" : "🍈", 
	":watermelon:" : "🍉", 
	":tangerine:" : "🍊", 
	":lemon:" : "🍋", 
	":banana:" : "🍌", 
	":pineapple:" : "🍍", 
	":mango:" : "🥭", 
	":apple:" : "🍎", 
	":green_apple:" : "🍏", 
	":pear:" : "🍐", 
	":peach:" : "🍑", 
	":cherries:" : "🍒", 
	":strawberry:" : "🍓", 
	"🫐" : "🫐", 
	":kiwi:" : "🥝", 
	":tomato:" : "🍅", 
	"🫒" : "🫒", 
	":coconut:" : "🥥", 
	":avocado:" : "🥑", 
	":eggplant:" : "🍆", 
	":potato:" : "🥔", 
	":carrot:" : "🥕", 
	":corn:" : "🌽", 
	":hot_pepper:" : "🌶️", 
	"🫑" : "🫑", 
	":cucumber:" : "🥒", 
	":leafy_green:" : "🥬", 
	":broccoli:" : "🥦", 
	":garlic:" : "🧄", 
	":onion:" : "🧅", 
	":mushroom:" : "🍄", 
	":peanuts:" : "🥜", 
	":chestnut:" : "🌰", 
	":bread:" : "🍞", 
	":croissant:" : "🥐", 
	":french_bread:" : "🥖", 
	"🫓" : "🫓", 
	":pretzel:" : "🥨", 
	":bagel:" : "🥯", 
	":pancakes:" : "🥞", 
	":waffle:" : "🧇", 
	":cheese:" : "🧀", 
	":meat_on_bone:" : "🍖", 
	":poultry_leg:" : "🍗", 
	":cut_of_meat:" : "🥩", 
	":bacon:" : "🥓", 
	":hamburger:" : "🍔", 
	":fries:" : "🍟", 
	":pizza:" : "🍕", 
	":hotdog:" : "🌭", 
	":sandwich:" : "🥪", 
	":taco:" : "🌮", 
	":burrito:" : "🌯", 
	"🫔" : "🫔", 
	":stuffed_flatbread:" : "🥙", 
	":falafel:" : "🧆", 
	":egg:" : "🥚", 
	":cooking:" : "🍳", 
	":shallow_pan_of_food:" : "🥘", 
	":stew:" : "🍲", 
	"🫕" : "🫕", 
	":bowl_with_spoon:" : "🥣", 
	":salad:" : "🥗", 
	":popcorn:" : "🍿", 
	":butter:" : "🧈", 
	":salt:" : "🧂", 
	":canned_food:" : "🥫", 
	":bento:" : "🍱", 
	":rice_cracker:" : "🍘", 
	":rice_ball:" : "🍙", 
	":rice:" : "🍚", 
	":curry:" : "🍛", 
	":ramen:" : "🍜", 
	":spaghetti:" : "🍝", 
	":sweet_potato:" : "🍠", 
	":oden:" : "🍢", 
	":sushi:" : "🍣", 
	":fried_shrimp:" : "🍤", 
	":fish_cake:" : "🍥", 
	":moon_cake:" : "🥮", 
	":dango:" : "🍡", 
	":dumpling:" : "🥟", 
	":fortune_cookie:" : "🥠", 
	":takeout_box:" : "🥡", 
	":icecream:" : "🍦", 
	":shaved_ice:" : "🍧", 
	":ice_cream:" : "🍨", 
	":doughnut:" : "🍩", 
	":cookie:" : "🍪", 
	":birthday:" : "🎂", 
	":cake:" : "🍰", 
	":cupcake:" : "🧁", 
	":pie:" : "🥧", 
	":chocolate_bar:" : "🍫", 
	":candy:" : "🍬", 
	":lollipop:" : "🍭", 
	":custard:" : "🍮", 
	":honey_pot:" : "🍯", 
	":baby_bottle:" : "🍼", 
	":milk:" : "🥛", 
	"☕️" : "☕️", 
	"🫖" : "🫖", 
	":tea:" : "🍵", 
	":sake:" : "🍶", 
	":champagne:" : "🍾", 
	":wine_glass:" : "🍷", 
	"🍸️" : "🍸️", 
	":tropical_drink:" : "🍹", 
	":beer:" : "🍺", 
	":beers:" : "🍻", 
	":champagne_glass:" : "🥂", 
	":tumbler_glass:" : "🥃", 
	":cup_with_straw:" : "🥤", 
	"🧋" : "🧋", 
	":beverage_box:" : "🧃", 
	":mate:" : "🧉", 
	":ice_cube:" : "🧊", 
	":chopsticks:" : "🥢", 
	":fork_knife_plate:" : "🍽️", 
	":fork_and_knife:" : "🍴", 
	":spoon:" : "🥄", 
	":knife:" : "🔪", 
	"⚽️" : "⚽️", 
	"⚾️" : "⚾️", 
	":softball:" : "🥎", 
	":basketball:" : "🏀", 
	":volleyball:" : "🏐", 
	":football:" : "🏈", 
	":rugby_football:" : "🏉", 
	":tennis:" : "🎾", 
	":flying_disc:" : "🥏", 
	":bowling:" : "🎳", 
	":cricket_game:" : "🏏", 
	":field_hockey:" : "🏑", 
	":hockey:" : "🏒", 
	":lacrosse:" : "🥍", 
	":ping_pong:" : "🏓", 
	":badminton:" : "🏸", 
	":boxing_glove:" : "🥊", 
	":martial_arts_uniform:" : "🥋", 
	":goal:" : "🥅", 
	"⛳️" : "⛳️", 
	":ice_skate:" : "⛸️", 
	":fishing_pole_and_fish:" : "🎣", 
	":diving_mask:" : "🤿", 
	":running_shirt_with_sash:" : "🎽", 
	":ski:" : "🎿", 
	":sled:" : "🛷", 
	":curling_stone:" : "🥌", 
	":dart:" : "🎯", 
	":yo_yo:" : "🪀", 
	":kite:" : "🪁", 
	":8ball:" : "🎱", 
	":military_medal:" : "🎖️", 
	"🏆️" : "🏆️", 
	":medal:" : "🏅", 
	":first_place:" : "🥇", 
	":second_place:" : "🥈", 
	":third_place:" : "🥉", 
	":mountain_snow:" : "🏔️", 
	":mountain:" : "⛰️", 
	":volcano:" : "🌋", 
	":mount_fuji:" : "🗻", 
	":camping:" : "🏕️", 
	":beach:" : "🏖️", 
	":desert:" : "🏜️", 
	":island:" : "🏝️", 
	":stadium:" : "🏟️", 
	":classical_building:" : "🏛️", 
	":construction_site:" : "🏗️", 
	":bricks:" : "🧱", 
	"🪨" : "🪨", 
	"🪵" : "🪵", 
	"🛖" : "🛖", 
	":homes:" : "🏘️", 
	":house_abandoned:" : "🏚️", 
	"🏠️" : "🏠️", 
	":house_with_garden:" : "🏡", 
	":office:" : "🏢", 
	":post_office:" : "🏣", 
	":european_post_office:" : "🏤", 
	":hospital:" : "🏥", 
	":bank:" : "🏦", 
	":hotel:" : "🏨", 
	":love_hotel:" : "🏩", 
	":convenience_store:" : "🏪", 
	":school:" : "🏫", 
	":department_store:" : "🏬", 
	"🏭️" : "🏭️", 
	":japanese_castle:" : "🏯", 
	":european_castle:" : "🏰", 
	":wedding:" : "💒", 
	":tokyo_tower:" : "🗼", 
	":statue_of_liberty:" : "🗽", 
	"⛪️" : "⛪️", 
	":mosque:" : "🕌", 
	":hindu_temple:" : "🛕", 
	":synagogue:" : "🕍", 
	":shinto_shrine:" : "⛩️", 
	":kaaba:" : "🕋", 
	"⛲️" : "⛲️", 
	"⛺️" : "⛺️", 
	":foggy:" : "🌁", 
	":night_with_stars:" : "🌃", 
	":cityscape:" : "🏙️", 
	":sunrise_over_mountains:" : "🌄", 
	":sunrise:" : "🌅", 
	":city_dusk:" : "🌆", 
	":city_sunset:" : "🌇", 
	":bridge_at_night:" : "🌉", 
	":japan:" : "🗾", 
	":park:" : "🏞️", 
	":carousel_horse:" : "🎠", 
	":ferris_wheel:" : "🎡", 
	":roller_coaster:" : "🎢", 
	":barber:" : "💈", 
	":circus_tent:" : "🎪", 
	":steam_locomotive:" : "🚂", 
	":railway_car:" : "🚃", 
	":bullettrain_side:" : "🚄", 
	":bullettrain_front:" : "🚅", 
	":train2:" : "🚆", 
	"🚇️" : "🚇️", 
	":light_rail:" : "🚈", 
	":station:" : "🚉", 
	":tram:" : "🚊", 
	":monorail:" : "🚝", 
	":mountain_railway:" : "🚞", 
	":train:" : "🚋", 
	":bus:" : "🚌", 
	"🚍️" : "🚍️", 
	":trolleybus:" : "🚎", 
	":minibus:" : "🚐", 
	"🚑️" : "🚑️", 
	":fire_engine:" : "🚒", 
	":police_car:" : "🚓", 
	"🚔️" : "🚔️", 
	":taxi:" : "🚕", 
	":oncoming_taxi:" : "🚖", 
	":red_car:" : "🚗", 
	"🚘️" : "🚘️", 
	":blue_car:" : "🚙", 
	"🛻" : "🛻", 
	":truck:" : "🚚", 
	":articulated_lorry:" : "🚛", 
	":tractor:" : "🚜", 
	":race_car:" : "🏎️", 
	":motorcycle:" : "🏍️", 
	":motor_scooter:" : "🛵", 
	":manual_wheelchair:" : "🦽", 
	":motorized_wheelchair:" : "🦼", 
	":auto_rickshaw:" : "🛺", 
	"🚲️" : "🚲️", 
	":scooter:" : "🛴", 
	":skateboard:" : "🛹", 
	"🛼" : "🛼", 
	":busstop:" : "🚏", 
	":motorway:" : "🛣️", 
	":railway_track:" : "🛤️", 
	":oil:" : "🛢️", 
	"⛽️" : "⛽️", 
	":rotating_light:" : "🚨", 
	":traffic_light:" : "🚥", 
	":vertical_traffic_light:" : "🚦", 
	":octagonal_sign:" : "🛑", 
	":construction:" : "🚧", 
	"⚓️" : "⚓️", 
	"⛵️" : "⛵️", 
	":canoe:" : "🛶", 
	":speedboat:" : "🚤", 
	":cruise_ship:" : "🛳️", 
	":ferry:" : "⛴️", 
	":motorboat:" : "🛥️", 
	":ship:" : "🚢", 
	":airplane:" : "✈️", 
	":airplane_small:" : "🛩️", 
	":airplane_departure:" : "🛫", 
	":airplane_arriving:" : "🛬", 
	":parachute:" : "🪂", 
	":seat:" : "💺", 
	":helicopter:" : "🚁", 
	":suspension_railway:" : "🚟", 
	":mountain_cableway:" : "🚠", 
	":aerial_tramway:" : "🚡", 
	":satellite_orbital:" : "🛰️", 
	":rocket:" : "🚀", 
	":flying_saucer:" : "🛸", 
	":fireworks:" : "🎆", 
	":sparkler:" : "🎇", 
	":rice_scene:" : "🎑", 
	":moyai:" : "🗿", 
	":bellhop:" : "🛎️", 
	":luggage:" : "🧳", 
	"⌛️" : "⌛️", 
	"⏳️" : "⏳️", 
	"⌚️" : "⌚️", 
	":alarm_clock:" : "⏰", 
	":stopwatch:" : "⏱️", 
	":timer:" : "⏲️", 
	":clock:" : "🕰️", 
	":thermometer:" : "🌡️", 
	":map:" : "🗺️", 
	":compass:" : "🧭", 
	":jack_o_lantern:" : "🎃", 
	":christmas_tree:" : "🎄", 
	":firecracker:" : "🧨", 
	":balloon:" : "🎈", 
	":tada:" : "🎉", 
	":confetti_ball:" : "🎊", 
	":dolls:" : "🎎", 
	":flags:" : "🎏", 
	":wind_chime:" : "🎐", 
	":ribbon:" : "🎀", 
	":gift:" : "🎁", 
	":reminder_ribbon:" : "🎗️", 
	":tickets:" : "🎟️", 
	":ticket:" : "🎫", 
	":crystal_ball:" : "🔮", 
	"🪄" : "🪄", 
	":nazar_amulet:" : "🧿", 
	"🎮️" : "🎮️", 
	":joystick:" : "🕹️", 
	":slot_machine:" : "🎰", 
	":game_die:" : "🎲", 
	":chess_pawn:" : "♟️", 
	":jigsaw:" : "🧩", 
	":teddy_bear:" : "🧸", 
	"🪅" : "🪅", 
	"🪆" : "🪆", 
	":frame_photo:" : "🖼️", 
	":art:" : "🎨", 
	":thread:" : "🧵", 
	"🪡" : "🪡", 
	":yarn:" : "🧶", 
	"🪢" : "🪢", 
	"👓️" : "👓️", 
	":dark_sunglasses:" : "🕶️", 
	":goggles:" : "🥽", 
	":lab_coat:" : "🥼", 
	":safety_vest:" : "🦺", 
	":necktie:" : "👔", 
	":shirt:" : "👕", 
	":jeans:" : "👖", 
	":scarf:" : "🧣", 
	":gloves:" : "🧤", 
	":coat:" : "🧥", 
	":socks:" : "🧦", 
	":dress:" : "👗", 
	":kimono:" : "👘", 
	":sari:" : "🥻", 
	":one_piece_swimsuit:" : "🩱", 
	":briefs:" : "🩲", 
	":shorts:" : "🩳", 
	":bikini:" : "👙", 
	":womans_clothes:" : "👚", 
	":purse:" : "👛", 
	":handbag:" : "👜", 
	":pouch:" : "👝", 
	":shopping_bags:" : "🛍️", 
	":school_satchel:" : "🎒", 
	"🩴" : "🩴", 
	":mans_shoe:" : "👞", 
	":athletic_shoe:" : "👟", 
	":hiking_boot:" : "🥾", 
	":womans_flat_shoe:" : "🥿", 
	":high_heel:" : "👠", 
	":sandal:" : "👡", 
	":ballet_shoes:" : "🩰", 
	":boot:" : "👢", 
	":crown:" : "👑", 
	":womans_hat:" : "👒", 
	":tophat:" : "🎩", 
	"🎓️" : "🎓️", 
	":billed_cap:" : "🧢", 
	"🪖" : "🪖", 
	":helmet_with_cross:" : "⛑️", 
	":prayer_beads:" : "📿", 
	":lipstick:" : "💄", 
	":ring:" : "💍", 
	":gem:" : "💎", 
	":loudspeaker:" : "📢", 
	":mega:" : "📣", 
	":postal_horn:" : "📯", 
	":microphone2:" : "🎙️", 
	":level_slider:" : "🎚️", 
	":control_knobs:" : "🎛️", 
	":microphone:" : "🎤", 
	"🎧️" : "🎧️", 
	"📻️" : "📻️", 
	":saxophone:" : "🎷", 
	"🪗" : "🪗", 
	":guitar:" : "🎸", 
	":musical_keyboard:" : "🎹", 
	":trumpet:" : "🎺", 
	":violin:" : "🎻", 
	":banjo:" : "🪕", 
	":drum:" : "🥁", 
	"🪘" : "🪘", 
	":iphone:" : "📱", 
	":calling:" : "📲", 
	":telephone:" : "☎️", 
	":telephone_receiver:" : "📞", 
	"📟️" : "📟️", 
	":fax:" : "📠", 
	":battery:" : "🔋", 
	":electric_plug:" : "🔌", 
	"💻️" : "💻️", 
	":desktop:" : "🖥️", 
	":printer:" : "🖨️", 
	":keyboard:" : "⌨️", 
	":mouse_three_button:" : "🖱️", 
	":trackball:" : "🖲️", 
	":minidisc:" : "💽", 
	":floppy_disk:" : "💾", 
	"💿️" : "💿️", 
	":dvd:" : "📀", 
	":abacus:" : "🧮", 
	":movie_camera:" : "🎥", 
	":film_frames:" : "🎞️", 
	":projector:" : "📽️", 
	"🎬️" : "🎬️", 
	"📺️" : "📺️", 
	"📷️" : "📷️", 
	":camera_with_flash:" : "📸", 
	"📹️" : "📹️", 
	":vhs:" : "📼", 
	"🔍️" : "🔍️", 
	":mag_right:" : "🔎", 
	":candle:" : "🕯️", 
	":bulb:" : "💡", 
	":flashlight:" : "🔦", 
	":izakaya_lantern:" : "🏮", 
	":diya_lamp:" : "🪔", 
	":notebook_with_decorative_cover:" : "📔", 
	":closed_book:" : "📕", 
	":book:" : "📖", 
	":green_book:" : "📗", 
	":blue_book:" : "📘", 
	":orange_book:" : "📙", 
	"📚️" : "📚️", 
	":notebook:" : "📓", 
	":ledger:" : "📒", 
	":page_with_curl:" : "📃", 
	":scroll:" : "📜", 
	":page_facing_up:" : "📄", 
	":newspaper:" : "📰", 
	":newspaper2:" : "🗞️", 
	":bookmark_tabs:" : "📑", 
	":bookmark:" : "🔖", 
	":label:" : "🏷️", 
	"💰️" : "💰️", 
	"🪙" : "🪙", 
	":yen:" : "💴", 
	":dollar:" : "💵", 
	":euro:" : "💶", 
	":pound:" : "💷", 
	":money_with_wings:" : "💸", 
	"💳️" : "💳️", 
	":receipt:" : "🧾", 
	":envelope:" : "✉️", 
	":love_letter:" : "💌", 
	":e_mail:" : "📧", 
	":red_envelope:" : "🧧", 
	":incoming_envelope:" : "📨", 
	":envelope_with_arrow:" : "📩", 
	"📤️" : "📤️", 
	"📥️" : "📥️", 
	"📦️" : "📦️", 
	"📫️" : "📫️", 
	"📪️" : "📪️", 
	"📬️" : "📬️", 
	"📭️" : "📭️", 
	":postbox:" : "📮", 
	":ballot_box:" : "🗳️", 
	":pencil2:" : "✏️", 
	":black_nib:" : "✒️", 
	":pen_fountain:" : "🖋️", 
	":pen_ballpoint:" : "🖊️", 
	":paintbrush:" : "🖌️", 
	":crayon:" : "🖍️", 
	":pencil:" : "📝", 
	":briefcase:" : "💼", 
	":file_folder:" : "📁", 
	":open_file_folder:" : "📂", 
	":dividers:" : "🗂️", 
	":date:" : "📅", 
	":calendar:" : "📆", 
	":notepad_spiral:" : "🗒️", 
	":calendar_spiral:" : "🗓️", 
	":card_index:" : "📇", 
	":chart_with_upwards_trend:" : "📈", 
	":chart_with_downwards_trend:" : "📉", 
	":bar_chart:" : "📊", 
	"📋️" : "📋️", 
	":pushpin:" : "📌", 
	":round_pushpin:" : "📍", 
	":paperclip:" : "📎", 
	":paperclips:" : "🖇️", 
	":straight_ruler:" : "📏", 
	":triangular_ruler:" : "📐", 
	":scissors:" : "✂️", 
	":card_box:" : "🗃️", 
	":file_cabinet:" : "🗄️", 
	":wastebasket:" : "🗑️", 
	"🔒️" : "🔒️", 
	"🔓️" : "🔓️", 
	":lock_with_ink_pen:" : "🔏", 
	":closed_lock_with_key:" : "🔐", 
	":key:" : "🔑", 
	":key2:" : "🗝️", 
	":hammer:" : "🔨", 
	":axe:" : "🪓", 
	":pick:" : "⛏️", 
	":hammer_pick:" : "⚒️", 
	":tools:" : "🛠️", 
	":dagger:" : "🗡️", 
	":crossed_swords:" : "⚔️", 
	"💣️" : "💣️", 
	":gun:" : "🔫", 
	"🪃" : "🪃", 
	":bow_and_arrow:" : "🏹", 
	":shield:" : "🛡️", 
	"🪚" : "🪚", 
	":wrench:" : "🔧", 
	"🪛" : "🪛", 
	":nut_and_bolt:" : "🔩", 
	":gear:" : "⚙️", 
	":compression:" : "🗜️", 
	":scales:" : "⚖️", 
	":probing_cane:" : "🦯", 
	":link:" : "🔗", 
	":chains:" : "⛓️", 
	"🪝" : "🪝", 
	":toolbox:" : "🧰", 
	":magnet:" : "🧲", 
	"🪜" : "🪜", 
	":alembic:" : "⚗️", 
	":test_tube:" : "🧪", 
	":petri_dish:" : "🧫", 
	":dna:" : "🧬", 
	":microscope:" : "🔬", 
	":telescope:" : "🔭", 
	":satellite:" : "📡", 
	":syringe:" : "💉", 
	":drop_of_blood:" : "🩸", 
	":pill:" : "💊", 
	":adhesive_bandage:" : "🩹", 
	":stethoscope:" : "🩺", 
	":door:" : "🚪", 
	"🛗" : "🛗", 
	"🪞" : "🪞", 
	"🪟" : "🪟", 
	":bed:" : "🛏️", 
	":couch:" : "🛋️", 
	":chair:" : "🪑", 
	":toilet:" : "🚽", 
	"🪠" : "🪠", 
	":shower:" : "🚿", 
	":bathtub:" : "🛁", 
	"🪤" : "🪤", 
	":razor:" : "🪒", 
	":squeeze_bottle:" : "🧴", 
	":safety_pin:" : "🧷", 
	":broom:" : "🧹", 
	":basket:" : "🧺", 
	":roll_of_paper:" : "🧻", 
	"🪣" : "🪣", 
	":soap:" : "🧼", 
	"🪥" : "🪥", 
	":sponge:" : "🧽", 
	":fire_extinguisher:" : "🧯", 
	":shopping_cart:" : "🛒", 
	":smoking:" : "🚬", 
	":coffin:" : "⚰️", 
	"🪦" : "🪦", 
	":urn:" : "⚱️", 
	":amphora:" : "🏺", 
	"🪧" : "🪧", 
	":hole:" : "🕳️", 
	":cupid:" : "💘", 
	":gift_heart:" : "💝", 
	":sparkling_heart:" : "💖", 
	":heartpulse:" : "💗", 
	":heartbeat:" : "💓", 
	":revolving_hearts:" : "💞", 
	":two_hearts:" : "💕", 
	":heart_decoration:" : "💟", 
	":heart_exclamation:" : "❣️", 
	":broken_heart:" : "💔", 
	":heart:" : "❤️", 
	":orange_heart:" : "🧡", 
	":yellow_heart:" : "💛", 
	":green_heart:" : "💚", 
	":blue_heart:" : "💙", 
	":purple_heart:" : "💜", 
	":brown_heart:" : "🤎", 
	":black_heart:" : "🖤", 
	":white_heart:" : "🤍", 
	":100:" : "💯", 
	":hotsprings:" : "♨️", 
	":anger:" : "💢", 
	":speech_balloon:" : "💬", 
	"👁️‍🗨️" : "👁️‍🗨️", 
	":speech_left:" : "🗨️", 
	":anger_right:" : "🗯️", 
	":thought_balloon:" : "💭", 
	":zzz:" : "💤", 
	":globe_with_meridians:" : "🌐", 
	":spades:" : "♠️", 
	":hearts:" : "♥️", 
	":diamonds:" : "♦️", 
	":clubs:" : "♣️", 
	":black_joker:" : "🃏", 
	"🀄️" : "🀄️", 
	":flower_playing_cards:" : "🎴", 
	"🎭️" : "🎭️", 
	":mute:" : "🔇", 
	"🔈️" : "🔈️", 
	":sound:" : "🔉", 
	":loud_sound:" : "🔊", 
	":bell:" : "🔔", 
	":no_bell:" : "🔕", 
	":musical_score:" : "🎼", 
	":musical_note:" : "🎵", 
	":notes:" : "🎶", 
	":chart:" : "💹", 
	":atm:" : "🏧", 
	":put_litter_in_its_place:" : "🚮", 
	":potable_water:" : "🚰", 
	"♿️" : "♿️", 
	"🚹️" : "🚹️", 
	"🚺️" : "🚺️", 
	":restroom:" : "🚻", 
	"🚼️" : "🚼️", 
	":wc:" : "🚾", 
	":passport_control:" : "🛂", 
	":customs:" : "🛃", 
	":baggage_claim:" : "🛄", 
	":left_luggage:" : "🛅", 
	":warning:" : "⚠️", 
	":children_crossing:" : "🚸", 
	"⛔️" : "⛔️", 
	":no_entry_sign:" : "🚫", 
	":no_bicycles:" : "🚳", 
	"🚭️" : "🚭️", 
	":do_not_litter:" : "🚯", 
	":non_potable_water:" : "🚱", 
	":no_pedestrians:" : "🚷", 
	":no_mobile_phones:" : "📵", 
	":underage:" : "🔞", 
	":radioactive:" : "☢️", 
	":biohazard:" : "☣️", 
	":arrow_up:" : "⬆️", 
	":arrow_upper_right:" : "↗️", 
	":arrow_right:" : "➡️", 
	":arrow_lower_right:" : "↘️", 
	":arrow_down:" : "⬇️", 
	":arrow_lower_left:" : "↙️", 
	":arrow_left:" : "⬅️", 
	":arrow_upper_left:" : "↖️", 
	":arrow_up_down:" : "↕️", 
	":left_right_arrow:" : "↔️", 
	":leftwards_arrow_with_hook:" : "↩️", 
	":arrow_right_hook:" : "↪️", 
	":arrow_heading_up:" : "⤴️", 
	":arrow_heading_down:" : "⤵️", 
	":arrows_clockwise:" : "🔃", 
	":arrows_counterclockwise:" : "🔄", 
	":back:" : "🔙", 
	":end:" : "🔚", 
	":on:" : "🔛", 
	":soon:" : "🔜", 
	":top:" : "🔝", 
	":place_of_worship:" : "🛐", 
	":atom:" : "⚛️", 
	":om_symbol:" : "🕉️", 
	":star_of_david:" : "✡️", 
	":wheel_of_dharma:" : "☸️", 
	":yin_yang:" : "☯️", 
	":cross:" : "✝️", 
	":orthodox_cross:" : "☦️", 
	":star_and_crescent:" : "☪️", 
	":peace:" : "☮️", 
	":menorah:" : "🕎", 
	":six_pointed_star:" : "🔯", 
	"♈️" : "♈️", 
	"♉️" : "♉️", 
	"♊️" : "♊️", 
	"♋️" : "♋️", 
	"♌️" : "♌️", 
	"♍️" : "♍️", 
	"♎️" : "♎️", 
	"♏️" : "♏️", 
	"♐️" : "♐️", 
	"♑️" : "♑️", 
	"♒️" : "♒️", 
	"♓️" : "♓️", 
	":ophiuchus:" : "⛎", 
	":twisted_rightwards_arrows:" : "🔀", 
	":repeat:" : "🔁", 
	":repeat_one:" : "🔂", 
	":arrow_forward:" : "▶️", 
	"⏩️" : "⏩️", 
	":track_next:" : "⏭️", 
	":play_pause:" : "⏯️", 
	":arrow_backward:" : "◀️", 
	"⏪️" : "⏪️", 
	":track_previous:" : "⏮️", 
	":arrow_up_small:" : "🔼", 
	":arrow_double_up:" : "⏫", 
	":arrow_down_small:" : "🔽", 
	":arrow_double_down:" : "⏬", 
	":pause_button:" : "⏸️", 
	":stop_button:" : "⏹️", 
	":record_button:" : "⏺️", 
	":eject:" : "⏏️", 
	":cinema:" : "🎦", 
	":low_brightness:" : "🔅", 
	":high_brightness:" : "🔆", 
	":signal_strength:" : "📶", 
	":vibration_mode:" : "📳", 
	":mobile_phone_off:" : "📴", 
	":female_sign:" : "♀️", 
	":male_sign:" : "♂️", 
	"⚧" : "⚧", 
	":heavy_multiplication_x:" : "✖️", 
	":heavy_plus_sign:" : "➕", 
	":heavy_minus_sign:" : "➖", 
	":heavy_division_sign:" : "➗", 
	":infinity:" : "♾️", 
	":bangbang:" : "‼️", 
	":interrobang:" : "⁉️", 
	"❓️" : "❓️", 
	":grey_question:" : "❔", 
	":grey_exclamation:" : "❕", 
	"❗️" : "❗️", 
	":wavy_dash:" : "〰️", 
	":currency_exchange:" : "💱", 
	":heavy_dollar_sign:" : "💲", 
	":medical_symbol:" : "⚕️", 
	":recycle:" : "♻️", 
	":fleur_de_lis:" : "⚜️", 
	":trident:" : "🔱", 
	":name_badge:" : "📛", 
	":beginner:" : "🔰", 
	"⭕️" : "⭕️", 
	":white_check_mark:" : "✅", 
	":ballot_box_with_check:" : "☑️", 
	":heavy_check_mark:" : "✔️", 
	":x:" : "❌", 
	":negative_squared_cross_mark:" : "❎", 
	":curly_loop:" : "➰", 
	":loop:" : "➿", 
	":part_alternation_mark:" : "〽️", 
	":eight_spoked_asterisk:" : "✳️", 
	":eight_pointed_black_star:" : "✴️", 
	":sparkle:" : "❇️", 
	"©️" : "©️", 
	"®️" : "®️", 
	"™️" : "™️", 
	":hash:" : "#️⃣", 
	":asterisk:" : "*️⃣", 
	":zero:" : "0️⃣", 
	":one:" : "1️⃣", 
	":two:" : "2️⃣", 
	":three:" : "3️⃣", 
	":four:" : "4️⃣", 
	":five:" : "5️⃣", 
	":six:" : "6️⃣", 
	":seven:" : "7️⃣", 
	":eight:" : "8️⃣", 
	":nine:" : "9️⃣", 
	":keycap_ten:" : "🔟", 
	":capital_abcd:" : "🔠", 
	":abcd:" : "🔡", 
	":1234:" : "🔢", 
	":symbols:" : "🔣", 
	":abc:" : "🔤", 
	":a:" : "🅰️", 
	":ab:" : "🆎", 
	":b:" : "🅱️", 
	":cl:" : "🆑", 
	":cool:" : "🆒", 
	":free:" : "🆓", 
	":information_source:" : "ℹ️", 
	":id:" : "🆔", 
	":m:" : "Ⓜ️", 
	":new:" : "🆕", 
	":ng:" : "🆖", 
	":o2:" : "🅾️", 
	":ok:" : "🆗", 
	":parking:" : "🅿️", 
	":sos:" : "🆘", 
	":up:" : "🆙", 
	":vs:" : "🆚", 
	":koko:" : "🈁", 
	":sa:" : "🈂️", 
	":u6708:" : "🈷️", 
	":u6709:" : "🈶", 
	"🈯️" : "🈯️", 
	":ideograph_advantage:" : "🉐", 
	":u5272:" : "🈹", 
	"🈚️" : "🈚️", 
	":u7981:" : "🈲", 
	":accept:" : "🉑", 
	":u7533:" : "🈸", 
	":u5408:" : "🈴", 
	":u7a7a:" : "🈳", 
	":congratulations:" : "㊗️", 
	":secret:" : "㊙️", 
	":u55b6:" : "🈺", 
	":u6e80:" : "🈵", 
	":red_circle:" : "🔴", 
	":orange_circle:" : "🟠", 
	":yellow_circle:" : "🟡", 
	":green_circle:" : "🟢", 
	":blue_circle:" : "🔵", 
	":purple_circle:" : "🟣", 
	":brown_circle:" : "🟤", 
	"⚫️" : "⚫️", 
	"⚪️" : "⚪️", 
	":red_square:" : "🟥", 
	":orange_square:" : "🟧", 
	":yellow_square:" : "🟨", 
	":green_square:" : "🟩", 
	":blue_square:" : "🟦", 
	":purple_square:" : "🟪", 
	":brown_square:" : "🟫", 
	"⬛️" : "⬛️", 
	"⬜️" : "⬜️", 
	":black_medium_square:" : "◼️", 
	":white_medium_square:" : "◻️", 
	"◾️" : "◾️", 
	"◽️" : "◽️", 
	":black_small_square:" : "▪️", 
	":white_small_square:" : "▫️", 
	":large_orange_diamond:" : "🔶", 
	":large_blue_diamond:" : "🔷", 
	":small_orange_diamond:" : "🔸", 
	":small_blue_diamond:" : "🔹", 
	":small_red_triangle:" : "🔺", 
	":small_red_triangle_down:" : "🔻", 
	":diamond_shape_with_a_dot_inside:" : "💠", 
	":radio_button:" : "🔘", 
	":white_square_button:" : "🔳", 
	":black_square_button:" : "🔲", 
	"🕛️" : "🕛️", 
	"🕧️" : "🕧️", 
	"🕐️" : "🕐️", 
	"🕜️" : "🕜️", 
	"🕑️" : "🕑️", 
	"🕝️" : "🕝️", 
	"🕒️" : "🕒️", 
	"🕞️" : "🕞️", 
	"🕓️" : "🕓️", 
	"🕟️" : "🕟️", 
	"🕔️" : "🕔️", 
	"🕠️" : "🕠️", 
	"🕕️" : "🕕️", 
	"🕡️" : "🕡️", 
	"🕖️" : "🕖️", 
	"🕢️" : "🕢️", 
	"🕗️" : "🕗️", 
	"🕣️" : "🕣️", 
	"🕘️" : "🕘️", 
	"🕤️" : "🕤️", 
	"🕙️" : "🕙️", 
	"🕥️" : "🕥️", 
	"🕚️" : "🕚️", 
	"🕦️" : "🕦️", 
}

names = {v: k for k, v in emotes.items()}

_urlFind = r"(?i)\b((?:https?://|www\d{0,3}[.]|[a-z0-9.\-]+[.][a-z]{2,4}/)(?:[^\s()<>]+|\(([^\s()<>]+|(\([^\s()<>]+\)))*\))+(?:\(([^\s()<>]+|(\([^\s()<>]+\)))*\)|[^\s`!()\[\]{};:'\".,<>?«»“”‘’]))"

def getEmoteFromName(name):
	return emotes[name]

def getNameFromeEmote(emote):
	return name[emote]

def createEmbed(title, text, footer, author_name, color):
	embed=discord.Embed(title=title, description=text, color=color)
	embed.set_author(name=author_name)
	embed.set_footer(text=footer)
	return embed

def checkURLs(string):
	url = re.findall(_urlFind,string)       
	return len([x[0] for x in url]) > 0

def getURLs(string):
	url = re.findall(_urlFind,string)       
	return [x[0] for x in url]

def getTimeSinceMessage(message):
	return datetime.now - message.created_at

def getColoredText(text, color):
	out = text
	if color.lower() == "red":
		out = "```diff"
		for i in text.split("\n"):
			out += "\n- " + i
		out += "```"

	if color.lower() == "green":
		out = "```diff"
		for i in text.split("\n"):
			out += "\n+ " + i
		out += "```"


	if color.lower() == "orange":
		out = "```CSS"
		for i in text.split("\n"):
			out += "\n[" + i + "]"
		out += "```"

	if color.lower() == "yellow":
		out = "```fix\n" + text + "```"


	if color.lower() == "dark-yellow":
		out = "```apache"
		for i in text.split("\n"):
			out += "\n%{" + i + "}"
		out += "```"

	if color.lower() == "light-green":
		out = "```CSS"
		for i in text.split("\n"):
			out += "\n\"" + i + "\""
		out += "```"

	if color.lower() == "dark-green":
		out = "```bash"
		for i in text.split("\n"):
			out += "\n\"" + i + "\""
		out += "```"

	if color.lower() == "blue":
		out = "```ini"
		for i in text.split("\n"):
			out += "\n[" + i + "]"
		out += "```"

	return ou